curl --request GET \
--url https://api.aries.com/v1/stock/eps-estimate \
--header 'Authorization: Bearer <token>'{
"epsEstimates": {
"data": [
{
"epsAvg": 2.1215999126434326,
"epsHigh": 2.309999942779541,
"epsLow": 1.8717999458312988,
"numberAnalysts": 6,
"period": "2027-09-30",
"year": 2027,
"quarter": 4
},
{
"epsAvg": 1.7481000423431396,
"epsHigh": 1.850000023841858,
"epsLow": 1.6100000143051147,
"numberAnalysts": 6,
"period": "2027-06-30",
"year": 2027,
"quarter": 3
},
{
"epsAvg": 1.611199975013733,
"epsHigh": 1.7200000286102295,
"epsLow": 1.4600000381469727,
"numberAnalysts": 6,
"period": "2027-03-31",
"year": 2027,
"quarter": 2
}
],
"symbol": "AAPL",
"freq": "quarterly"
}
}Retrieve analyst earnings per share (EPS) estimates including quarterly and annual forecasts with consensus and revision trends. Essential for earnings season preparation.
Use Case: Monitor EPS estimate revisions to identify stocks with improving earnings momentum.
curl --request GET \
--url https://api.aries.com/v1/stock/eps-estimate \
--header 'Authorization: Bearer <token>'{
"epsEstimates": {
"data": [
{
"epsAvg": 2.1215999126434326,
"epsHigh": 2.309999942779541,
"epsLow": 1.8717999458312988,
"numberAnalysts": 6,
"period": "2027-09-30",
"year": 2027,
"quarter": 4
},
{
"epsAvg": 1.7481000423431396,
"epsHigh": 1.850000023841858,
"epsLow": 1.6100000143051147,
"numberAnalysts": 6,
"period": "2027-06-30",
"year": 2027,
"quarter": 3
},
{
"epsAvg": 1.611199975013733,
"epsHigh": 1.7200000286102295,
"epsLow": 1.4600000381469727,
"numberAnalysts": 6,
"period": "2027-03-31",
"year": 2027,
"quarter": 2
}
],
"symbol": "AAPL",
"freq": "quarterly"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
(Required) Stock ticker symbol
(Optional) Frequency: annual, quarterly
Successful response
EPS estimates data wrapper
Show child attributes
Was this page helpful?